# Sources from github
# git clone git://github.com/Benjamin-Dobell/Heimdall.git
# cd Heimdall
# git archive --format=tar --prefix=heimdall-1.3.2/ v1.3.2 | xz > ../heimdall-1.3.2.tar.xz

%define udev_rules_dir	/lib/udev/rules.d

Name:		heimdall
Version:	1.3.2
Release:	%mkrel 3
Summary:	Flash firmware (aka ROMs) onto Samsung Galaxy S devices
Group:		Communications/Mobile
License:	MIT
URL:		http://www.glassechidna.com.au/products/%{name}/
Source0:	%{name}-%{version}.tar.xz
Patch0:		heimdall-1.3.1-fix-build.patch
BuildRequires:	usb1.0-devel
BuildRequires:	dos2unix
BuildRequires:	qt4-devel

%description
Heimdall is a cross-platform open-source utility to flash firmware (aka ROMs)
onto Samsung Galaxy S devices.

%package frontend
Summary:	Qt4 based frontend for %{name}
Group:		Communications/Mobile
Requires:	%{name} = %{version}-%{release}

%description frontend
Heimdall is a cross-platform open-source utility to flash firmware (aka ROMs)
onto Samsung Galaxy S devices.

This package provides Qt4 based frontend for %{name}.

%prep
%setup -q
%patch0 -p0 -b .orig

#fix EOLs
dos2unix Linux/README

#fix frontend install
sed -i -e 's|/usr/local/bin|%{_bindir}|g' heimdall-frontend/heimdall-frontend.pro

%build 
pushd libpit
	autoreconf -vfi
	%configure2_5x
	%make V=1
popd

pushd heimdall
	autoreconf -vfi
	%configure2_5x
	%make V=1
popd

pushd heimdall-frontend
	%qmake_qt4 heimdall-frontend.pro 
	%make V=1
popd

%install
rm -rf %{buildroot}

pushd heimdall
	%makeinstall_std
popd

pushd heimdall-frontend
	%make INSTALL_ROOT=%{buildroot} install
popd

# desktop file
# TODO: better icon
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Heimdall
Comment=Flash firmware (aka ROMs) onto Samsung Galaxy S devices
Icon=phone
Exec=%{name}-frontend
Terminal=false
Type=Application
Categories=Qt;Utility;Development;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Linux/README heimdall/LICENSE
%{_bindir}/%{name}
%{udev_rules_dir}/60-heimdall-galaxy-s.rules

%files frontend
%defattr(-,root,root)
%doc Linux/README heimdall/LICENSE
%{_bindir}/%{name}-frontend
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-3.mga3
+ Revision: 353164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 malo <malo> 1.3.2-2.mga3
+ Revision: 309715
- update RPM group

* Mon Jun 04 2012 wally <wally> 1.3.2-1.mga3
+ Revision: 254426
- new version 1.3.2

* Fri Feb 24 2012 wally <wally> 1.3.1-1.mga2
+ Revision: 214095
- new version 1.3.1
- rediff P0
- imported package heimdall

